# List

Launch stage: Beta

`GET /api/2.1/accounts/{account_id}/users/{user_id}/settings-metadata`

List valid user preferences and their metadata for a specific user.
 User preferences are personal settings that allow individual customization without affecting other users.
 These settings are available to be referenced via
 GET `settingsv2/getpublicaccountuserpreference` and
 PATCH `settingsv2/patchpublicaccountuserpreference` APIs

API scopes: settings

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID of the account being managed.
- `user_id` (string, optional)
  User ID of the user whose settings metadata is being retrieved.

## Query parameters

- `page_size` (int32, optional)
  The maximum number of settings to return. The service may return fewer than this value.
   If unspecified, at most 200 settings will be returned.
   The maximum value is 1000; values above 1000 will be coerced to 1000.
- `page_token` (string, optional)
  A page token, received from a previous `ListAccountUserPreferencesMetadataRequest` call.
   Provide this to retrieve the subsequent page.
  
   When paginating, all other parameters provided to `ListAccountUserPreferencesMetadataRequest` must match
   the call that provided the page token.

## Returns

Returns a list of SettingsMetadata objects.

## Response

```json
{
  "settings_metadata": [
    {
      "name": "string",
      "description": "string",
      "type": "string",
      "docs_link": "string",
      "preview_phase": "string",
      "display_name": "string"
    }
  ],
  "next_page_token": "string"
}
```

